Inhalte

# Bitoperationen

Auf diesen Befehl zugreifen …

Einfügen – Funktion… – Kategorie: Mathematik

## BITLVERSCHIEB

Verschiebt eine Zahl um n Bits nach links.

Diese Funktion ist seit LibreOffice 3.5 verfügbar.

#### Syntax

BITLVERSCHIEB(Zahl; Verschiebung)

Zahl ist eine positive ganze Zahl kleiner als 2^48 (281 474 976 710 656).

Verschiebung ist die Anzahl der Positionen, um die die Bits nach links verschoben werden. Falls die Verschiebung negativ ist, ist sie synonym mit BITRVERSCHIEB(Zahl; -Verschiebung).

#### Beispiel

=BITLVERSCHIEB(6;1) ergibt 12 (0110 << 1 = 1100).

## BITODER

Ergibt ein bitweises logisches "oder" der Parameter.

Diese Funktion ist seit LibreOffice 3.5 verfügbar.

#### Syntax

BITODER(Zahl 1; Zahl 2)

Zahl 1 und Zahl 2 sind positive ganze Zahlen, die kleiner als 2^48 (281 474 976 710 656) sind.

=BITODER(6;10) ergibt 14 (0110 | 1010 = 1110).

## BITRVERSCHIEB

Verschiebt eine Zahl um n Bits nach rechts.

Diese Funktion ist seit LibreOffice 3.5 verfügbar.

#### Syntax

BITRVERSCHIEB(Zahl; Verschiebung)

Zahl ist eine positive ganze Zahl kleiner als 2^48 (281 474 976 710 656).

Verschiebung ist die Anzahl der Positionen, um die die Bits nach rechts verschoben werden. Falls die Verschiebung negativ ist, ist sie synonym mit BITLVERSCHIEB(Zahl; -Verschiebung).

#### Beispiel

=BITRVERSCHIEB(6;1) ergibt 3 (0110 >> 1 = 0011).

## BITUND

Ergibt ein bitweises logisches "und" der Parameter.

Diese Funktion ist seit LibreOffice 3.5 verfügbar.

#### Syntax

BITUND(Zahl 1; Zahl 2)

Zahl 1 und Zahl 2 sind positive ganze Zahlen, die kleiner als 2^48 (281 474 976 710 656) sind.

#### Beispiel

=BITUND(6;10) ergibt 2 (0110 & 1010 = 0010).

## BITXODER

Ergibt ein bitweises logisches "exklusives oder" der Parameter.

Diese Funktion ist seit LibreOffice 3.5 verfügbar.

#### Syntax

BITXODER(Zahl 1; Zahl 2)

Zahl 1 und Zahl 2 sind positive ganze Zahlen, die kleiner als 2^48 (281 474 976 710 656) sind.

#### Beispiel

=BITXODER(6;10) ergibt 12 (0110 ^ 1010 = 1100)

Verwandte Themen

Funktionen nach Kategorie

Bitte unterstützen Sie uns!